[@rxap/material-table-system](../wiki/globals) / SelectionChange

# Interface: SelectionChange\<T\>

Defined in: [packages/angular/material/table-system/src/lib/select-row/selection-model.ts:249](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/selection-model.ts#L249)

Event emitted when the value of a MatSelectionModel has changed.
@docs-private

## Type Parameters

• **T**

## Properties

### added

> **added**: `T`[]

Defined in: [packages/angular/material/table-system/src/lib/select-row/selection-model.ts:253](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/selection-model.ts#L253)

Options that were added to the model.

***

### removed

> **removed**: `T`[]

Defined in: [packages/angular/material/table-system/src/lib/select-row/selection-model.ts:255](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/selection-model.ts#L255)

Options that were removed from the model.

***

### source

> **source**: [`SelectionModel`](../wiki/Class.SelectionModel)\<`T`\>

Defined in: [packages/angular/material/table-system/src/lib/select-row/selection-model.ts:251](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/selection-model.ts#L251)

Model that dispatched the event.
